if [ $# -ne 1 ]; then
    echo "for compilation and installation usage ./prebuild mips|arm1176"
    echo "for cleaning ./prebuild clean "
    exit 1
fi

OPTION=$1

if [ $OPTION = clean ]
then
	make -f Makefile.opera clean
else
	OPERA_TARGET=$OPTION
	if [ $OPERA_TARGET = mips ]
	then
		make -f Makefile.opera OPERA_TARGET=mips OPERA_DEBUGINFO=YES
	elif [ $OPERA_TARGET = arm1176 ]
	then
		make -f Makefile.opera OPERA_TARGET=arm1176 OPERA_DEBUGINFO=YES
	else
    		echo "for compilation and installation usage ./prebuild mips|arm|arm1176"
    		echo "for cleaning ./prebuild clean "
	fi
fi
